/*  Template Function for LSPE                              */
/*  x[] and y[] are independent and dependent variables     */
/*  p[] and c[] are parameters and constants,               */        
/*  all of which are declared in the main LSPE routine      */
/*  "i" is integer indicating specific y[i] in array of y[] */

#include <math.h>
extern double y[],c[];
/*  declare functions, if necessary, for example, "double mfunction2(double h,double x[],double p[]);" */

void function(int i,double x[],double p[])
  {
   switch(i)
    {
     case 1:
       y[1]=p[1]*x[1]+p[2]*x[2]+p[3]*x[3]+p[4]*x[1]*x[1]+p[5];
       break;
     case 2:
       y[2]=p[1]*sqrt(x[1])+p[5]*x[2]/(p[3]+p[2]*x[3]*x[3]);
       break;
     case 3:
       y[3]=p[1]*exp(-p[3]*x[2]/x[3])+p[4]*x[1]+sqrt(p[5]*x[1]);
       break;
     case 4:
       y[4]=p[2]*x[1]/(p[1]*x[1]+p[4]*x[2]*x[3])*p[5];
       break;
     case 5:
       y[5]=p[5]+p[4]*x[1]+p[1]*x[2]+p[2]*x[3]+p[3]*x[1]*x[2];
       break;
    }
   return;  
  }
